<!DOCTYPE html>
<html>

  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <title>GCC Code Coverage Report</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <link rel="stylesheet" href="index.css">
  </head>

  <body>
    <h1>GCC Code Coverage Report</h1>

    <hr/>

    <div class="summary">
<div>
  <table class="legend">
    <tr>
      <th scope="row">Directory:</th>
      <td>./</td>
    </tr>
    <tr>
      <th scope="row">File:</th>
      <td>Solver/cardiacFunction.hpp</td>
    </tr>
    <tr>
      <th scope="row">Date:</th>
      <td>2024-11-17 08:29:21</td>
    </tr>
  </table>
</div>
<div>
  <table class="coverage">
    <tr>
      <th></th>
      <th scope="col">Exec</th>
      <th scope="col">Total</th>
      <th scope="col">Coverage</th>
    </tr>
    <tr>
      <th scope="row">Lines:</th>
      <td>0</td>
      <td>1</td>
      <td class="coverage-none">0.0%</td>
    </tr>
    <tr>
      <th scope="row">Branches:</th>
      <td>0</td>
      <td>0</td>
      <td class="coverage-unknown">-%</td>
    </tr>
  </table>
</div>
    </div>

    <hr/>

<div class="file-source">
  <table>
    <tr>
      <th align="right">Line</th>
      <th align="right">Branch</th>
      <th align="right">Exec</th>
      <th align="left">Source</th>
    </tr>


    <tr class="source-line">
      <td class="lineno"><a id="l1" href="#l1">1</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//   ______ ______ _      _  _____      ______</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l2" href="#l2">2</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//  |  ____|  ____| |    (_)/ ____|    |  ____|</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l3" href="#l3">3</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//  | |__  | |__  | |     _| (___   ___| |__</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l4" href="#l4">4</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//  |  __| |  __| | |    | |\___ \ / __|  __|</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l5" href="#l5">5</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//  | |    | |____| |____| |____) | (__| |____</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l6" href="#l6">6</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//  |_|    |______|______|_|_____/ \___|______|</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l7" href="#l7">7</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//  Finite Elements for Life Sciences and Engineering</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l8" href="#l8">8</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l9" href="#l9">9</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//  License:		 LGL2.1 License</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l10" href="#l10">10</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//  FELiScE default license: LICENSE in root folder</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l11" href="#l11">11</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l12" href="#l12">12</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//  Main authors:    A. Collin E. Schenone</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l13" href="#l13">13</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">//</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l14" href="#l14">14</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l15" href="#l15">15</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cp">#ifndef _CARDIACFUNCTION_HPP</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l16" href="#l16">16</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cp">#define _CARDIACFUNCTION_HPP</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l17" href="#l17">17</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l18" href="#l18">18</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">// System includes</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l19" href="#l19">19</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l20" href="#l20">20</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">// External includes</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l21" href="#l21">21</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l22" href="#l22">22</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="c1">// Project includes</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l23" href="#l23">23</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cp">#include</span><span class="w"> </span><span class="cpf">&quot;Core/felisceParam.hpp&quot;</span><span class="cp"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l24" href="#l24">24</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cp">#include</span><span class="w"> </span><span class="cpf">&quot;Core/felisceTransient.hpp&quot;</span><span class="cp"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l25" href="#l25">25</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l26" href="#l26">26</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="k">namespace</span><span class="w"> </span><span class="nn">felisce</span><span class="w"> </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l27" href="#l27">27</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="k">class</span><span class="w"> </span><span class="nc">LinearProblem</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l28" href="#l28">28</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l29" href="#l29">29</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="cm">/*!</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l30" href="#l30">30</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cm">  \brief File with CardiacFunction class, AppCurrent and heterogeneous parameters for BidomainProblem</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l31" href="#l31">31</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cm">   */</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l32" href="#l32">32</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="k">class</span><span class="w"> </span><span class="nc">CardiacFunction</span><span class="w"> </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l33" href="#l33">33</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="k">public</span><span class="o">:</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l34" href="#l34">34</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="n">CardiacFunction</span><span class="p">();</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l35" href="#l35">35</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">virtual</span><span class="w"> </span><span class="o">~</span><span class="n">CardiacFunction</span><span class="p">();</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l36" href="#l36">36</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">virtual</span><span class="w"> </span><span class="kt">void</span><span class="w"> </span><span class="nf">initialize</span><span class="p">(</span><span class="n">FelisceTransient</span><span class="o">::</span><span class="n">Pointer</span><span class="w"> </span><span class="n">fstransient</span><span class="p">);</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l37" href="#l37">37</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="k">protected</span><span class="o">:</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l38" href="#l38">38</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="n">FelisceTransient</span><span class="o">::</span><span class="n">Pointer</span><span class="w"> </span><span class="n">m_fstransient</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l39" href="#l39">39</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="p">};</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l40" href="#l40">40</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l41" href="#l41">41</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="c1">//A class to impose thorso/lungs/bone conductivity.</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l42" href="#l42">42</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="k">class</span><span class="w"> </span><span class="nc">ThoraxConductivity</span><span class="o">:</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l43" href="#l43">43</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">public</span><span class="w"> </span><span class="n">CardiacFunction</span><span class="w"> </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l44" href="#l44">44</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="k">public</span><span class="o">:</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l45" href="#l45">45</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="n">ThoraxConductivity</span><span class="p">();</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l46" href="#l46">46</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="o">~</span><span class="n">ThoraxConductivity</span><span class="p">()</span><span class="w"> </span><span class="k">override</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l47" href="#l47">47</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="kt">double</span><span class="w"> </span><span class="nf">sigmaT</span><span class="p">(</span><span class="kt">int</span><span class="o">&amp;</span><span class="w"> </span><span class="n">label</span><span class="p">)</span><span class="w"> </span><span class="k">const</span><span class="w"> </span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l48" href="#l48">48</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="kt">double</span><span class="w"> </span><span class="nf">operator</span><span class="p">()</span><span class="w"> </span><span class="p">(</span><span class="kt">int</span><span class="o">&amp;</span><span class="w"> </span><span class="n">label</span><span class="p">)</span><span class="w"> </span><span class="k">const</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l49" href="#l49">49</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="p">};</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l50" href="#l50">50</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l51" href="#l51">51</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="c1">//A class to impose thorso/lungs/bone conductivity.</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l52" href="#l52">52</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="k">class</span><span class="w"> </span><span class="nc">HeartConductivity</span><span class="o">:</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l53" href="#l53">53</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">public</span><span class="w"> </span><span class="n">CardiacFunction</span><span class="w"> </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l54" href="#l54">54</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="k">public</span><span class="o">:</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l55" href="#l55">55</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="n">HeartConductivity</span><span class="p">();</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l56" href="#l56">56</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="o">~</span><span class="n">HeartConductivity</span><span class="p">()</span><span class="w"> </span><span class="k">override</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l57" href="#l57">57</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="kt">double</span><span class="w"> </span><span class="nf">sigmaH</span><span class="p">(</span><span class="kt">int</span><span class="o">&amp;</span><span class="w"> </span><span class="n">label</span><span class="p">)</span><span class="w"> </span><span class="k">const</span><span class="w"> </span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l58" href="#l58">58</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="kt">double</span><span class="w"> </span><span class="nf">operator</span><span class="p">()</span><span class="w"> </span><span class="p">(</span><span class="kt">int</span><span class="o">&amp;</span><span class="w"> </span><span class="n">label</span><span class="p">)</span><span class="w"> </span><span class="k">const</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l59" href="#l59">59</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="p">};</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l60" href="#l60">60</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l61" href="#l61">61</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="c1">//A class to impose a non-pathological applied current to the ellibi-geometry.</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l62" href="#l62">62</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="k">class</span><span class="w"> </span><span class="nc">AppCurrent</span><span class="o">:</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l63" href="#l63">63</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">public</span><span class="w"> </span><span class="n">CardiacFunction</span><span class="w"> </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l64" href="#l64">64</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="k">public</span><span class="o">:</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l65" href="#l65">65</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="n">AppCurrent</span><span class="p">();</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l66" href="#l66">66</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="o">~</span><span class="n">AppCurrent</span><span class="p">()</span><span class="w"> </span><span class="k">override</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l67" href="#l67">67</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">virtual</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="nf">Iapp</span><span class="p">(</span><span class="kt">double</span><span class="w"> </span><span class="n">x</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">y</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">z</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">t</span><span class="o">=</span><span class="mf">0.</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">dist</span><span class="o">=</span><span class="mf">0.</span><span class="p">)</span><span class="w"> </span><span class="k">const</span><span class="w"> </span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l68" href="#l68">68</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">virtual</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="nf">operator</span><span class="p">()</span><span class="w"> </span><span class="p">(</span><span class="kt">double</span><span class="w"> </span><span class="n">x</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">y</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">z</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">t</span><span class="o">=</span><span class="mf">0.</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">dist</span><span class="o">=</span><span class="mf">0.</span><span class="p">)</span><span class="w"> </span><span class="k">const</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l69" href="#l69">69</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="p">};</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l70" href="#l70">70</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l71" href="#l71">71</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="c1">//A class to impose a non-pathological applied current to the zygote-geometry.</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l72" href="#l72">72</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="k">class</span><span class="w"> </span><span class="nc">zygoteIapp</span><span class="o">:</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l73" href="#l73">73</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">public</span><span class="w"> </span><span class="n">AppCurrent</span><span class="w"> </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l74" href="#l74">74</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="k">public</span><span class="o">:</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l75" href="#l75">75</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="n">zygoteIapp</span><span class="p">();</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l76" href="#l76">76</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount uncoveredLine">&cross;</td>
      <td class="src uncoveredLine"><span class="w">    </span><span class="o">~</span><span class="n">zygoteIapp</span><span class="p">()</span><span class="w"> </span><span class="k">override</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="k">default</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l77" href="#l77">77</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="kt">double</span><span class="w"> </span><span class="nf">Iapp</span><span class="p">(</span><span class="kt">double</span><span class="w"> </span><span class="n">x</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">y</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">z</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">t</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">dist</span><span class="p">)</span><span class="w"> </span><span class="k">const</span><span class="w"> </span><span class="k">override</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l78" href="#l78">78</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="kt">double</span><span class="w"> </span><span class="nf">operator</span><span class="p">()</span><span class="w"> </span><span class="p">(</span><span class="kt">double</span><span class="w"> </span><span class="n">x</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">y</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">z</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">t</span><span class="p">,</span><span class="kt">double</span><span class="w"> </span><span class="n">dist</span><span class="p">)</span><span class="w"> </span><span class="k">const</span><span class="w"> </span><span class="k">override</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l79" href="#l79">79</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="p">};</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l80" href="#l80">80</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l81" href="#l81">81</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="c1">//A class to impose a non-pathological applied exterior current to the atria.</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l82" href="#l82">82</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="k">class</span><span class="w"> </span><span class="nc">AppCurrentAtria</span><span class="o">:</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l83" href="#l83">83</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">public</span><span class="w"> </span><span class="n">CardiacFunction</span><span class="w"> </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l84" href="#l84">84</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="k">public</span><span class="o">:</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l85" href="#l85">85</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="n">AppCurrentAtria</span><span class="p">();</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l86" href="#l86">86</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="o">~</span><span class="n">AppCurrentAtria</span><span class="p">()</span><span class="w"> </span><span class="k">override</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l87" href="#l87">87</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">virtual</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="nf">IappAtria</span><span class="p">(</span><span class="kt">double</span><span class="w"> </span><span class="n">x</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">y</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">z</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">t</span><span class="p">)</span><span class="w"> </span><span class="k">const</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l88" href="#l88">88</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">virtual</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="nf">operator</span><span class="p">()</span><span class="w"> </span><span class="p">(</span><span class="kt">double</span><span class="w"> </span><span class="n">x</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">y</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">z</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">t</span><span class="p">)</span><span class="w"> </span><span class="k">const</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l89" href="#l89">89</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="p">};</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l90" href="#l90">90</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l91" href="#l91">91</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l92" href="#l92">92</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="c1">//A class to impose heterogeneous tau_close for ellibi-geometry.</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l93" href="#l93">93</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="k">class</span><span class="w"> </span><span class="nc">HeteroTauClose</span><span class="o">:</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l94" href="#l94">94</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">public</span><span class="w"> </span><span class="n">CardiacFunction</span><span class="w"> </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l95" href="#l95">95</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="k">public</span><span class="o">:</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l96" href="#l96">96</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="n">HeteroTauClose</span><span class="p">();</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l97" href="#l97">97</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="o">~</span><span class="n">HeteroTauClose</span><span class="p">()</span><span class="w"> </span><span class="k">override</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l98" href="#l98">98</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">virtual</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="nf">TauClose</span><span class="p">(</span><span class="kt">double</span><span class="w"> </span><span class="n">x</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">y</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">z</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">dist</span><span class="o">=</span><span class="mf">0.</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">t</span><span class="o">=</span><span class="mf">0.</span><span class="p">)</span><span class="w"> </span><span class="k">const</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l99" href="#l99">99</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">virtual</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="nf">operator</span><span class="p">()</span><span class="w"> </span><span class="p">(</span><span class="kt">double</span><span class="w"> </span><span class="n">x</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">y</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">z</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">dist</span><span class="o">=</span><span class="mf">0.</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">t</span><span class="o">=</span><span class="mf">0.</span><span class="p">)</span><span class="w"> </span><span class="k">const</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l100" href="#l100">100</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="p">};</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l101" href="#l101">101</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l102" href="#l102">102</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="c1">//A class to simulate infarction.</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l103" href="#l103">103</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="k">class</span><span class="w"> </span><span class="nc">HeteroTauOut</span><span class="o">:</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l104" href="#l104">104</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">public</span><span class="w"> </span><span class="n">CardiacFunction</span><span class="w"> </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l105" href="#l105">105</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="k">public</span><span class="o">:</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l106" href="#l106">106</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="n">HeteroTauOut</span><span class="p">();</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l107" href="#l107">107</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="o">~</span><span class="n">HeteroTauOut</span><span class="p">()</span><span class="w"> </span><span class="k">override</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l108" href="#l108">108</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">virtual</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="nf">TauOut</span><span class="p">(</span><span class="kt">double</span><span class="w"> </span><span class="n">x</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">y</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">z</span><span class="p">)</span><span class="w"> </span><span class="k">const</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l109" href="#l109">109</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">virtual</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="nf">operator</span><span class="p">()</span><span class="w"> </span><span class="p">(</span><span class="kt">double</span><span class="w"> </span><span class="n">x</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">y</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">z</span><span class="p">)</span><span class="w"> </span><span class="k">const</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l110" href="#l110">110</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="p">}</span><span class="w">	</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l111" href="#l111">111</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l112" href="#l112">112</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="c1">//A class to simulate infarction.</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l113" href="#l113">113</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="k">class</span><span class="w"> </span><span class="nc">HeteroTauIn</span><span class="o">:</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l114" href="#l114">114</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">public</span><span class="w"> </span><span class="n">CardiacFunction</span><span class="w"> </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l115" href="#l115">115</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="k">public</span><span class="o">:</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l116" href="#l116">116</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="n">HeteroTauIn</span><span class="p">();</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l117" href="#l117">117</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="o">~</span><span class="n">HeteroTauIn</span><span class="p">()</span><span class="w"> </span><span class="k">override</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l118" href="#l118">118</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="kt">double</span><span class="w"> </span><span class="nf">TauIn</span><span class="p">(</span><span class="kt">double</span><span class="w"> </span><span class="n">x</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">y</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">z</span><span class="p">)</span><span class="w"> </span><span class="k">const</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l119" href="#l119">119</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="kt">double</span><span class="w"> </span><span class="nf">operator</span><span class="p">()</span><span class="w"> </span><span class="p">(</span><span class="kt">double</span><span class="w"> </span><span class="n">x</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">y</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">z</span><span class="p">)</span><span class="w"> </span><span class="k">const</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l120" href="#l120">120</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="p">};</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l121" href="#l121">121</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l122" href="#l122">122</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="c1">//A class to impose heterogeneous Ito for the Courtemanche-Ramirez-Nattel model.</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l123" href="#l123">123</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="k">class</span><span class="w"> </span><span class="nc">HeteroCourtModelIto</span><span class="o">:</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l124" href="#l124">124</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">public</span><span class="w"> </span><span class="n">CardiacFunction</span><span class="w"> </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l125" href="#l125">125</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="k">public</span><span class="o">:</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l126" href="#l126">126</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="n">HeteroCourtModelIto</span><span class="p">();</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l127" href="#l127">127</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="o">~</span><span class="n">HeteroCourtModelIto</span><span class="p">()</span><span class="w"> </span><span class="k">override</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l128" href="#l128">128</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">virtual</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="nf">CourtCondIto</span><span class="p">(</span><span class="kt">double</span><span class="w"> </span><span class="n">x</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">y</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">z</span><span class="p">)</span><span class="w"> </span><span class="k">const</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l129" href="#l129">129</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">virtual</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="nf">operator</span><span class="p">()</span><span class="w"> </span><span class="p">(</span><span class="kt">double</span><span class="w"> </span><span class="n">x</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">y</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">z</span><span class="p">)</span><span class="w"> </span><span class="k">const</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l130" href="#l130">130</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="p">};</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l131" href="#l131">131</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l132" href="#l132">132</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="c1">//A class to impose heterogeneous ICaL for the Courtemanche-Ramirez-Nattel model.</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l133" href="#l133">133</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="k">class</span><span class="w"> </span><span class="nc">HeteroCourtModelICaL</span><span class="o">:</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l134" href="#l134">134</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">public</span><span class="w"> </span><span class="n">CardiacFunction</span><span class="w"> </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l135" href="#l135">135</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="k">public</span><span class="o">:</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l136" href="#l136">136</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="n">HeteroCourtModelICaL</span><span class="p">();</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l137" href="#l137">137</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="o">~</span><span class="n">HeteroCourtModelICaL</span><span class="p">()</span><span class="w"> </span><span class="k">override</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l138" href="#l138">138</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">virtual</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="nf">CourtCondICaL</span><span class="p">(</span><span class="kt">double</span><span class="w"> </span><span class="n">x</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">y</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">z</span><span class="p">)</span><span class="w"> </span><span class="k">const</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l139" href="#l139">139</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">virtual</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="nf">operator</span><span class="p">()</span><span class="w"> </span><span class="p">(</span><span class="kt">double</span><span class="w"> </span><span class="n">x</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">y</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">z</span><span class="p">)</span><span class="w"> </span><span class="k">const</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l140" href="#l140">140</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="p">};</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l141" href="#l141">141</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l142" href="#l142">142</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="c1">//A class to impose heterogeneous multiplicative coefficient for the Courtemanche-Ramirez-Nattel model.</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l143" href="#l143">143</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="k">class</span><span class="w"> </span><span class="nc">HeteroCourtModelMultCoeff</span><span class="o">:</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l144" href="#l144">144</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">public</span><span class="w"> </span><span class="n">CardiacFunction</span><span class="w"> </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l145" href="#l145">145</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="k">public</span><span class="o">:</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l146" href="#l146">146</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="n">HeteroCourtModelMultCoeff</span><span class="p">();</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l147" href="#l147">147</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="o">~</span><span class="n">HeteroCourtModelMultCoeff</span><span class="p">()</span><span class="w"> </span><span class="k">override</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l148" href="#l148">148</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">virtual</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="nf">CourtCondMultCoeff</span><span class="p">(</span><span class="kt">double</span><span class="w"> </span><span class="n">x</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">y</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">z</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">ref</span><span class="o">=</span><span class="mf">0.</span><span class="p">)</span><span class="w"> </span><span class="k">const</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l149" href="#l149">149</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">virtual</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="nf">operator</span><span class="p">()</span><span class="w"> </span><span class="p">(</span><span class="kt">double</span><span class="w"> </span><span class="n">x</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">y</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">z</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">ref</span><span class="o">=</span><span class="mf">0.</span><span class="p">)</span><span class="w"> </span><span class="k">const</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l150" href="#l150">150</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="p">};</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l151" href="#l151">151</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l152" href="#l152">152</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l153" href="#l153">153</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="c1">// Class to impose heterogeneous &quot;s&quot; parameter in FHN model.</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l154" href="#l154">154</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="k">class</span><span class="w"> </span><span class="nc">HeteroSparFHN</span><span class="o">:</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l155" href="#l155">155</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">public</span><span class="w"> </span><span class="n">CardiacFunction</span><span class="w"> </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l156" href="#l156">156</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="k">public</span><span class="o">:</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l157" href="#l157">157</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="n">HeteroSparFHN</span><span class="p">();</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l158" href="#l158">158</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="o">~</span><span class="n">HeteroSparFHN</span><span class="p">()</span><span class="w"> </span><span class="k">override</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l159" href="#l159">159</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">virtual</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="nf">SparFHN</span><span class="p">(</span><span class="kt">double</span><span class="w"> </span><span class="n">x</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">y</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">z</span><span class="p">)</span><span class="w"> </span><span class="k">const</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l160" href="#l160">160</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">virtual</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="nf">operator</span><span class="p">()</span><span class="w"> </span><span class="p">(</span><span class="kt">double</span><span class="w"> </span><span class="n">x</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">y</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">z</span><span class="p">)</span><span class="w"> </span><span class="k">const</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l161" href="#l161">161</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="p">};</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l162" href="#l162">162</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l163" href="#l163">163</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="c1">//A class to impose heterogeneous tau_close for ellibi-geometry.</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l164" href="#l164">164</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="k">class</span><span class="w"> </span><span class="nc">HeteroMVCoeff</span><span class="o">:</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l165" href="#l165">165</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">public</span><span class="w"> </span><span class="n">CardiacFunction</span><span class="w"> </span><span class="p">{</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l166" href="#l166">166</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="k">public</span><span class="o">:</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l167" href="#l167">167</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="n">HeteroMVCoeff</span><span class="p">();</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l168" href="#l168">168</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="o">~</span><span class="n">HeteroMVCoeff</span><span class="p">()</span><span class="w"> </span><span class="k">override</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l169" href="#l169">169</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">virtual</span><span class="w"> </span><span class="kt">int</span><span class="w"> </span><span class="nf">MVCoeff</span><span class="p">(</span><span class="kt">double</span><span class="w"> </span><span class="n">x</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">y</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">z</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">dist</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">t</span><span class="o">=</span><span class="mf">0.</span><span class="p">)</span><span class="w"> </span><span class="k">const</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l170" href="#l170">170</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">    </span><span class="k">virtual</span><span class="w"> </span><span class="kt">int</span><span class="w"> </span><span class="nf">operator</span><span class="p">()</span><span class="w"> </span><span class="p">(</span><span class="kt">double</span><span class="w"> </span><span class="n">x</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">y</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">z</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">dist</span><span class="p">,</span><span class="w"> </span><span class="kt">double</span><span class="w"> </span><span class="n">t</span><span class="o">=</span><span class="mf">0.</span><span class="p">)</span><span class="w"> </span><span class="k">const</span><span class="p">;</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l171" href="#l171">171</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="w">  </span><span class="p">};</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l172" href="#l172">172</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l173" href="#l173">173</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="p">}</span><span class="w"></span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l174" href="#l174">174</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l175" href="#l175">175</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l176" href="#l176">176</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "><span class="cp">#endif</span></td>
    </tr>

    <tr class="source-line">
      <td class="lineno"><a id="l177" href="#l177">177</a></td>
      <td class="linebranch">
      </td>
      <td class="linecount "></td>
      <td class="src "></td>
    </tr>

  </table>
</div>

    <hr/>

    <footer>
      Generated by: <a href="http://gcovr.com">GCOVR (Version 5.0)</a>
    </footer>
  </body>
</html>
